<?xml version="1.0" encoding="UTF-8"?>

<!--
 *
 * This help file was generated from nan_parallelcoords.sci using help_from_sci().
 *
 -->

<refentry version="5.0-subset Scilab" xml:id="nan_parallelcoords" xml:lang="en"
          xmlns="http://docbook.org/ns/docbook"
          xmlns:xlink="http://www.w3.org/1999/xlink"
          xmlns:svg="http://www.w3.org/2000/svg"
          xmlns:ns3="http://www.w3.org/1999/xhtml"
          xmlns:mml="http://www.w3.org/1998/Math/MathML"
          xmlns:scilab="http://www.scilab.org"
          xmlns:db="http://docbook.org/ns/docbook">

  <refnamediv>
    <refname>nan_parallelcoords</refname>
    <refpurpose>Parallel coordinates plot for multivariate data.</refpurpose>
  </refnamediv>


<refsynopsisdiv>
   <title>Calling Sequence</title>
   <synopsis>
   nan_parallelcoords(AX,...) plots into the axes with handle AX.
   nan_parallelcoords(X)
   nan_parallelcoords(X,group)
   nan_parallelcoords(X,group,quant)
   nan_parallelcoords(X,group,quant,labels)
   nan_parallelcoords(X,group,quant,labels,stdize)
   </synopsis>
</refsynopsisdiv>

<refsection>
   <title>Parameters</title>
   <variablelist>
   <varlistentry><term>AX:</term>
      <listitem><para> handle</para></listitem></varlistentry>
   <varlistentry><term>X:</term>
      <listitem><para> Rows of X correspond to   observations, columns to variables</para></listitem></varlistentry>
   <varlistentry><term>group:</term>
      <listitem><para> plots the data in different   groups with different colors. group is a string matrix.</para></listitem></varlistentry>
   <varlistentry><term>quant:</term>
      <listitem><para> if  not empty the the median and the  quant and (1-quant) quantiles of f(t) at each value of t is plotted</para></listitem></varlistentry>
   <varlistentry><term>labels:</term>
      <listitem><para> labels the coordinate tick marks</para></listitem></varlistentry>
   <varlistentry><term>stdize = 'off' :</term>
      <listitem><para> do nothing</para></listitem></varlistentry>
   <varlistentry><term>stdize ='on' :</term>
      <listitem><para> normalize each column of X (mean = 0, deviation = 1)</para></listitem></varlistentry>
   <varlistentry><term>stdize = 'pca' :</term>
      <listitem><para> instead of X   the principal component scores of X is used, in order of decreasing eigenvalue.</para></listitem></varlistentry>
   <varlistentry><term>stdize = 'pcastd' :</term>
      <listitem><para> uses the standardized   principal component scores.</para></listitem></varlistentry>
   </variablelist>
</refsection>

<refsection>
   <title>Description</title>
   <para>
Parallel coordinates is a common way of visualizing high-dimensional geometry and analyzing multivariate data.
   </para>
   <para>
To show a set of points in an n-dimensional space, a backdrop is drawn consisting of n parallel lines, typically vertical and equally spaced.
A point in n-dimensional space is represented as a polyline with vertices on the parallel axes; the position of the vertex on the ith axis corresponds to the ith coordinate of the point.
   </para>
   <para>
nan_parallelcoords treats NaNs in X as missing  values,
   </para>
   <para>
</para>
</refsection>

<refsection>
   <title>Examples</title>
   <programlisting role="example"><![CDATA[

// make a grouped plot of the raw data
loadmatfile(nan_getpath()+"/demos/data/iris.mat");
labels = {'Sepal Length','Sepal Width','Petal Length','Petal Width'};
clf();
nan_parallelcoords(meas, species, [],labels);

// plot only the median and quartiles of each group
clf();
nan_parallelcoords(meas, species, 0.25,labels);

   ]]></programlisting>
</refsection>

<refsection>
   <title>See also</title>
   <simplelist type="inline">
   <member><link linkend="nan_andrewsplot">nan_andrewsplot</link></member>
   </simplelist>
</refsection>

<refsection>
   <title>Bibliography</title>
   <para>Andrews, D. F. (1972), Plots of high-dimensional data, Biometrics 28, S.125-136</para>
</refsection>
</refentry>
